Subject: bug#23341: x-show-tip does not respect the value of tooltip-hide-delay, and the default tooltip timeout isn't configurable

From: Clément Pit--Claudel <[email-masked]>
Date: Sat, 23 Apr 2016 10:27:59 -0400

On 2016-04-23 04:13, martin rudalics wrote:
>> It would be nice to have a lisp-configurable default for tooltip
>> timeout; currently, it is hardcoded to 5 seconds in x_show_tip.
>>
>> There already exists a variable that could serve this purpose:
>> tooltip-hide-delay.
> 
> A function that calls ‘tooltip-show’ doesn't have to care because the
> latter already uses ‘tooltip-hide-delay’ as TIMEOUT argument for
> ‘x-show-tip’.

That's true :)

> A function that calls ‘x-show-tip’ directly should generally use
> ‘tooltip-hide-delay’ as TIMEOUT argument.  If it doesn't, it should
> provide a customizable variable to use as TIMEOUT argument instead.

Maybe, but this isn't a documented convention AFAICS, and it's inconvenient to have to dig to find which default to set.
There's tooltip, pos-tip, 10 packages that depend on pos-tip, and probably a bunch more depending on tooltip. It would be nice to have one setting that applies in all cases where other customization has not happened, instead of using a hardcoded default. Don't you think?

I opened this issue based on the experience that it took me some non-trivial amount of time to figure out that I had to configure flycheck-pos-tip-delay, and not tooltip-delay. flycheck-pos-tip follows the convention that you outlined above, but that convention wasn't obvious to me, and doesn't yield a consistent or very nice experience (any time I install a package that uses tooltips, I need to wonder configure its timeout, unless it uses tooltip — which I can't easily guess).

Cheers,
Clément.